%global enable_tests 1
%global srcname lower-case

Name:           nodejs-%{srcname}
Version:        1.1.2
Release:        4%{?dist}
Summary:        Lowercase a string
License:        MIT
URL:            https://github.com/blakeembrey/lower-case
Source0:        https://github.com/blakeembrey/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(istanbul)
BuildRequires:  npm(mocha)
%endif


%description
Lower case a string. Also handles non-string entities, such as objects with a 
toString property, numbers and booleans. Empty values (null and undefined) 
will come out as an empty string.


%prep
%setup -q -n %{srcname}-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lower-case.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
istanbul-js cover mocha -- -R spec
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.1.2-1
- updated to 1.1.2

* Sun Nov 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.0.2-1
- Initial package
